# brochurise

`brochurise` allows you to produce PDF documents from your Markdown. It can generate a linear output and/or an A5 booklet so it can be easily printed. Multiple documents are generated to find the optimal font size, minimizing free space while ensuring the number of pages is a multiple of 4 so you can print your A5 booklets on A4 paper.

## Demo

You can run `cargo run -- example.md` to get the idea.

## Requirements

You need pandoc and a lateX environment. On Debian, you can do `sudo apt install pandoc texlive-extra-utils`. Additionally, some lateX templates may need additional packages. For example, the [eisvogel](https://github.com/Wandmalfarbe/pandoc-latex-template) template requires the `texlive-fonts-extra` package as well.

## Usage

```
USAGE:
    brochurise [FLAGS] [OPTIONS] <input> [output]

FLAGS:
    -b, --book       Only produce an A5 booklet (4 pages per A4 sheet)
    -d, --debug      Enable debug output
    -h, --help       Prints help information
    -l, --linear     Only produce a linear A4 output
    -V, --version    Prints version information

OPTIONS:
    -s, --size <size>    The smallest size [default: 11]

ARGS:
    <input>     Path to the Markdown file to be brochurised
    <output>    Path to the PDF file to produce. When producing both linear and book output (default behavior,
                unless -b or -l is set), `-book` will be appended to the booklet output path eg. output.pdf
                and output-book.pdf
```

## License

[Anticapitalist Software License](LICENSE). You may not use this software if you are a for-profit entity, or in any way affiliated to the military industrial complex.
